<?php
/*
  $Id: images.php,v 1.0.2 2008/12/23 kymation Exp $
  $Loc: /catalog/admin/ $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2008 osCommerce

  Released under the GNU General Public License
*/


  require('includes/application_top.php');

  // Instantiate the currencies class if it is not already
  require_once (DIR_WS_CLASSES . 'currencies.php');
  if (!isset ($currencies) && !is_object ($currencies) ) {
    $currencies = new currencies();
  }
 
// Perform action as selected below
  $action = (isset ($_GET['action']) ? $_GET['action'] : '');
  if (tep_not_null ($action)) {
    switch ($action) {

      // Set the parent image
      case 'setpage':
        if (isset ($_GET['image_page']) && isset ($_GET['images_id']) ) {
          $image_page = preg_replace ("/[^0-9a-z_]/i",'', $_GET['image_page']);
          $images_id = (int) $_GET['images_id'];
          tep_set_image_page ($images_id, $image_page);
          $messageStack->add (SUCCESS_PARENT_IMAGE_CHANGED, 'success');
          
        } else {
          // This should never happen, but let's set an error message anyway
          $messageStack->add (ERROR_PARENT_IMAGE_NOT_CHANGED, 'error');
        } // if (isset ($_GET['products_id'] ... else
        
        tep_redirect (tep_href_link (FILENAME_IMAGES, tep_get_all_get_params (array ('action', 'image_page') ) ) );
        break;

      //Complete the delete process. Remove the database entry and unlink the file if it's not used elsewhere.
      case 'deleteconfirm':
        if (isset ($_GET['images_id']) ) {
          // Find the image filename
          $products_images_query = tep_db_query ("select image_filename
                                                  from " . TABLE_PRODUCTS_IMAGES . "
                                                  where images_id ='" . (int) $_GET['images_id'] . "'
                                               ");
          $products_images = tep_db_fetch_array ($products_images_query);

          // Get the total number of times that filename exists in the database
          $duplicate_count_query = tep_db_query ("select count(*) as total 
                                                  from " . TABLE_PRODUCTS_IMAGES . " 
                                                  where image_filename = '" . $products_images['image_filename'] . "'
                                               ");
          $duplicate_count = tep_db_fetch_array ($duplicate_count_query);

          // If the image is only used here, unlink the file
          if ($duplicate_count['total'] < 2) {
            if (file_exists (DIR_FS_CATALOG_IMAGES . $products_images['image_filename'])) {
              @unlink (DIR_FS_CATALOG_IMAGES . $products_images['image_filename']);
              $messageStack->add (SUCCESS_IMAGE_FILE_DELETED, 'success');
              
            } else {
              $messageStack->add (ERROR_FILE_NOT_REMOVEABLE, 'error');
            } // if (file_exists
          } //if ($duplicate_count

          // Now delete the database row
          $delete_query = tep_db_query ("delete from " . TABLE_PRODUCTS_IMAGES . "
                                         where images_id = '" . (int) $_GET['images_id'] . "'
                                      ");
          $messageStack->add (SUCCESS_IMAGE_ENTRY_DELETED, 'success');
          
        } else {
          $messageStack->add (ERROR_IMAGE_NOT_FOUND, 'error');
        } // (isset ($_GET['products_id']
        
        tep_redirect (tep_href_link (FILENAME_IMAGES, tep_get_all_get_params (array ('action', 'images_id') ) ) );
        break;

      //Save a new image and data
      case 'insert':
        if (isset ($_POST['products_id']) ) {

          $products_image = new upload ('image_filename');
          $products_image->set_destination (DIR_FS_CATALOG . 'images/');

          if ($products_image->parse() && $products_image->save() ) {
            $insert_query = tep_db_query ("insert " . TABLE_PRODUCTS_IMAGES . "
                                           set image_filename = '" . tep_db_input ($products_image->filename) . "',
                                               products_id = '" . (int) $_POST['products_id'] . "',
                                               images_order = '" . tep_db_input ($_POST['images_order']) . "',
                                               last_modified = now()
                                        ");
            $insert_id = tep_db_insert_id ();
            
            if (isset ($_POST['category_page']) ) {
              tep_set_image_page ($insert_id, 'category_page');
            }
            
            if (isset ($_POST['product_page']) ) {
              tep_set_image_page ($insert_id, 'product_page');
            }
            
            if (isset ($_POST['popup_page']) ) {
              tep_set_image_page ($insert_id, 'popup_page');
            }
            
            if (!isset ($insert_id) || $insert_id == 0) {
              // The database was not updated
              // This should never happen, but let's set an error message anyway
              $messageStack->add (ERROR_DATABASE_NOT_UPDATED, 'error');
              
            } else {
              $messageStack->add (SUCCESS_DATABASE_UPDATED, 'success');
            } // if ($rows_inserted

            $messageStack->add (SUCCESS_IMAGE_ADDED, 'success');
            
          } else {
            // The image was not uploaded successfully
            $messageStack->add (ERROR_IMAGE_NOT_SAVED, 'error');
          } // if ($products_image ... else
        } // if (isset ($_GET['products_id']) 
        
        tep_redirect (tep_href_link (FILENAME_IMAGES, tep_get_all_get_params (array ('action') ) . 'images_id=' . $insert_id) );
        break;

      //Save an update to an existing image entry 
      case 'update':
        if (isset ($_GET['images_id']) ) {
          $images_id = (int) $_GET['images_id'];
          
          $products_image = new upload ('image_filename');
          $products_image->set_destination (DIR_FS_CATALOG . 'images/');

          if ($products_image->parse() && $products_image->save() ) {
            $insert_query = tep_db_query ("update " . TABLE_PRODUCTS_IMAGES . "
                                           set image_filename = '" . tep_db_input ($products_image->filename) . "',
                                               images_order = '" . tep_db_input ($_POST['images_order']) . "',
                                               last_modified = now()
                                           where images_id ='" . $images_id . "'
                                        ");
            $messageStack->add (SUCCESS_IMAGE_ADDED, 'success');
            $messageStack->add (SUCCESS_DATABASE_UPDATED, 'success');
                                          
          } else { // No new image, but update the rest of the data
            $messageStack->add (WARNING_NO_IMAGE_UPLOADED, 'warning');
            $insert_query = tep_db_query ("update " . TABLE_PRODUCTS_IMAGES . "
                                           set images_order = '" . $images_order . "',
                                               last_modified = now()
                                           where images_id ='" . $images_id . "'
                                        ");
            $messageStack->add (SUCCESS_DATABASE_UPDATED, 'success');
          }
            
          if (isset ($_POST['category_page']) ) {
            tep_set_image_page ($images_id, 'category_page');
          }
             
          if (isset ($_POST['product_page']) ) {
            tep_set_image_page ($images_id, 'product_page');
          }
            
          if (isset ($_POST['popup_page']) && $_POST['popup_page'] == '1') {
            tep_set_image_page ($images_id, 'popup_page');
          }

        } // if (isset ($_GET['images_id']) 
        
        tep_redirect (tep_href_link (FILENAME_IMAGES, tep_get_all_get_params (array ('action') ) ) );
        break;

      case 'new_image':
      case 'edit':
      case 'delete':
        break;
    }
  }

?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo STORE_NAME; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<script language="javascript" src="includes/general.js"></script>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF">
<!-- header //-->
<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
<!-- header_eof //-->

<!-- body //-->
<table border="0" width="100%" cellspacing="2" cellpadding="2">
  <tr>
    <td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="<?php echo BOX_WIDTH; ?>" cellspacing="1" cellpadding="1" class="columnLeft">
<!-- left_navigation //-->
<?php require(DIR_WS_INCLUDES . 'column_left.php'); ?>
<!-- left_navigation_eof //-->
    </table></td>
<!-- body_text //-->
    <td width="100%" valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
      <tr>
        <td width="100%"><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pageHeading"><?php echo HEADING_TITLE; ?></td>
            <td class="pageHeading" align="right"><?php echo tep_draw_separator('pixel_trans.gif', 1, HEADING_IMAGE_HEIGHT); ?></td>
            <td align="right"><table border="0" width="100%" cellspacing="0" cellpadding="0">
              <tr>
                <td class="smallText" align="right">
<?php
  echo tep_draw_form ('search', FILENAME_IMAGES, '', 'get');
  echo HEADING_TITLE_SEARCH . ' ' . tep_draw_input_field ('search');
  echo tep_hide_session_id() . '</form>';
?>
                </td>
              </tr>
              <tr>
                <td class="smallText" align="right">
<?php
  echo tep_draw_form ('goto', FILENAME_IMAGES, '', 'get');
  echo HEADING_TITLE_GOTO . ' ' . tep_draw_products_pull_down ('products_id', 'onChange="this.form.submit();"' . '><option value="">' . TEXT_PLEASE_SELECT . '</option');
  echo tep_hide_session_id() . '</form>';
?>
                </td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
              <tr class="dataTableHeadingRow">
                <td class="dataTableHeadingContent"><?php echo TABLE_HEADING_PRODUCT_NAME; ?></td>
                <td class="dataTableHeadingContent"><?php echo TABLE_HEADING_IMAGE_NAME; ?></td>
                <td class="dataTableHeadingContent"><?php echo TABLE_HEADING_IMAGE_ORDER; ?></td>
                <td class="dataTableHeadingContent"><?php echo TABLE_HEADING_CATEGORY_PAGE; ?></td>
                <td class="dataTableHeadingContent"><?php echo TABLE_HEADING_PRODUCT_PAGE; ?></td>
                <td class="dataTableHeadingContent"><?php echo TABLE_HEADING_POPUP_PAGE; ?></td>
                <td class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_ACTION; ?>&nbsp;</td>
              </tr>
<?php
  switch (true) {
    case (isset ($_GET['search']) ):
      $search = tep_db_prepare_input ($_GET['search']);
      $images_query_raw = "select pi.images_id,
                                  pi.products_id,
                                  pd.products_name,
                                  pi.image_filename,
                                  pi.images_order,
                                  pi.category_page,
                                  pi.product_page,
                                  pi.popup_page,
                                  pi.last_modified
                              from " . TABLE_PRODUCTS_IMAGES . " pi,
                                   " . TABLE_PRODUCTS_DESCRIPTION . " pd
                              where pd.products_id = pi.products_id
                                and pd.language_id = '" . (int) $languages_id . "'
                                and pd.products_name like '%" . tep_db_input ($search) . "%'
                              order by pi.products_id, 
                                       pi.images_order, 
                                       pi.images_id";
      break;
      
    case (isset ($_GET['products_id']) ):
      $goto = (int) $_GET['products_id'];
      $images_query_raw = "select pi.images_id,
                                  pi.products_id,
                                  pd.products_name,
                                  pi.image_filename,
                                  pi.images_order,
                                  pi.category_page,
                                  pi.product_page,
                                  pi.popup_page,
                                  pi.last_modified
                              from " . TABLE_PRODUCTS_IMAGES . " pi,
                                   " . TABLE_PRODUCTS_DESCRIPTION . " pd
                              where pd.products_id = pi.products_id
                                and pd.language_id = '" . (int) $languages_id . "'
                                and pi.products_id = '" . $goto . "'
                              order by pi.products_id, 
                                       pi.images_order, 
                                       pi.images_id";
      break;

    default:
      $images_query_raw = "select pi.images_id,
                                  pi.products_id,
                                  pd.products_name,
                                  pi.image_filename,
                                  pi.images_order,
                                  pi.category_page,
                                  pi.product_page,
                                  pi.popup_page,
                                  pi.last_modified
                              from " . TABLE_PRODUCTS_IMAGES . " pi,
                                   " . TABLE_PRODUCTS_DESCRIPTION . " pd
                              where pd.products_id = pi.products_id
                                and pd.language_id = '" . (int) $languages_id . "'
                              order by pi.products_id, 
                                       pi.images_order, 
                                       pi.images_id";
      break;
  } // switch
  
  $images_split = new splitPageResults ($_GET['page'], MAX_DISPLAY_SEARCH_RESULTS, $images_query_raw, $images_query_numrows);
  $images_query = tep_db_query ($images_query_raw);

  while ($images = tep_db_fetch_array ($images_query) ) {

    if ( (!isset ($_GET['images_id']) || ( (isset ($_GET['images_id']) ) && ($_GET['images_id'] == $images['images_id']) ) ) && !is_object ($imagesInfo) && (substr ($action, 0, 3) != 'new') ) {
      $imagesInfo = new objectInfo ($images);
    }

    if (isset ($imagesInfo) && is_object ($imagesInfo) && ($images['images_id'] == $imagesInfo->images_id) ) {
      echo '                  <tr id="defaultSelected" class="dataTableRowSelected" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)" onclick="document.location.href=\'' . tep_href_link (FILENAME_IMAGES, tep_get_all_get_params (array ('action') ) . '&images_id=' . $imagesInfo->images_id . '&action=edit') . '\'">' . "\n";
    } else {
      echo '                  <tr class="dataTableRow" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)" onclick="document.location.href=\'' . tep_href_link (FILENAME_IMAGES, tep_get_all_get_params (array ('action') ) . '&images_id=' . $images['images_id']) . '\'">' . "\n";
    }

?>
                <td class="dataTableContent"><?php echo $images['products_name']; ?></td>
                <td class="dataTableContent"><?php echo $images['image_filename']; ?></td>
                <td class="dataTableContent"><?php echo $images['images_order']; ?>&nbsp;&nbsp;</td>
                <td class="dataTableContent">
<?php
    if ($images['category_page'] == '1') {
      echo tep_image (DIR_WS_IMAGES . 'icon_status_green.gif', IMAGE_ICON_STATUS_GREEN, 10, 10) . '&nbsp;&nbsp;' . tep_image (DIR_WS_IMAGES . 'icon_status_red_light.gif', IMAGE_ICON_STATUS_RED_LIGHT, 10, 10);
    } else {
      echo '<a href="' . tep_href_link (FILENAME_IMAGES, tep_get_all_get_params (array ('action', 'images_id', 'image_page')) . 'action=setpage&images_id=' . $images['images_id'] . '&image_page=category_page') . '">' . tep_image (DIR_WS_IMAGES . 'icon_status_green_light.gif', IMAGE_ICON_STATUS_GREEN_LIGHT, 10, 10) . '</a>&nbsp;&nbsp;' . tep_image (DIR_WS_IMAGES . 'icon_status_red.gif', IMAGE_ICON_STATUS_RED, 10, 10);
    }
?>
                </td>
                <td class="dataTableContent">
<?php
    if ($images['product_page'] == '1') {
      echo tep_image (DIR_WS_IMAGES . 'icon_status_green.gif', IMAGE_ICON_STATUS_GREEN, 10, 10) . '&nbsp;&nbsp;' . tep_image (DIR_WS_IMAGES . 'icon_status_red_light.gif', IMAGE_ICON_STATUS_RED_LIGHT, 10, 10) . '</a>';
    } else {
      echo '<a href="' . tep_href_link (FILENAME_IMAGES, tep_get_all_get_params (array ('action', 'images_id', 'image_page')) . 'action=setpage&images_id=' . $images['images_id'] . '&image_page=product_page') . '">' . tep_image (DIR_WS_IMAGES . 'icon_status_green_light.gif', IMAGE_ICON_STATUS_GREEN_LIGHT, 10, 10) . '</a>&nbsp;&nbsp;' . tep_image (DIR_WS_IMAGES . 'icon_status_red.gif', IMAGE_ICON_STATUS_RED, 10, 10);
    }
?>
                </td>
                <td class="dataTableContent">
<?php
    if ($images['popup_page'] == '1') {
      echo tep_image (DIR_WS_IMAGES . 'icon_status_green.gif', IMAGE_ICON_STATUS_GREEN, 10, 10) . '&nbsp;&nbsp;' . tep_image (DIR_WS_IMAGES . 'icon_status_red_light.gif', IMAGE_ICON_STATUS_RED_LIGHT, 10, 10) . '</a>';
    } else {
      echo '<a href="' . tep_href_link (FILENAME_IMAGES, tep_get_all_get_params (array ('action', 'images_id', 'image_page')) . 'action=setpage&images_id=' . $images['images_id'] . '&image_page=popup_page') . '">' . tep_image (DIR_WS_IMAGES . 'icon_status_green_light.gif', IMAGE_ICON_STATUS_GREEN_LIGHT, 10, 10) . '</a>&nbsp;&nbsp;' . tep_image (DIR_WS_IMAGES . 'icon_status_red.gif', IMAGE_ICON_STATUS_RED, 10, 10);
    }
?>
                </td>
                <td class="dataTableContent" align="right"><?php if (isset ($imagetsInfo) && is_object ($imagetsInfo) && ($images['products_id'] == $imagesInfo->products_id)) { echo tep_image (DIR_WS_IMAGES . 'icon_arrow_right.gif'); } else { echo '<a href="' . tep_href_link (FILENAME_IMAGES, 'page=' . $_GET['page'] . '&products_id=' . $images['products_id']) . '">' . tep_image (DIR_WS_IMAGES . 'icon_info.gif', IMAGE_ICON_INFO) . '</a>'; } ?>&nbsp;</td>
              </tr>
<?php
  } // while
?>
              <tr>
                <td colspan=6><table border="0" width="100%" cellspacing="0" cellpadding="2">
                  <tr>
                    <td class="smallText" valign="top"><?php echo $images_split->display_count ($images_query_numrows, MAX_DISPLAY_SEARCH_RESULTS, $_GET['page'], TEXT_DISPLAY_NUMBER_OF_IMAGES); ?></td>
                    <td class="smallText" align="right"><?php echo $images_split->display_links ($images_query_numrows, MAX_DISPLAY_SEARCH_RESULTS, MAX_DISPLAY_PAGE_LINKS, $_GET['page']); ?></td>
                  </tr>
                  <tr>
                    <td class="smallText">&nbsp;</td>
                    <td align="right" class="smallText"><?php echo '&nbsp;<a href="' . tep_href_link (FILENAME_IMAGES, tep_get_all_get_params (array ('action', 'images_id', 'success', 'warning', 'error') ) . '&action=new_image') . '">' . tep_image_button ('button_new_image.gif', TEXT_BUTTON_NEW_IMAGE) . '</a>' . '&nbsp;<a href="' . tep_href_link (FILENAME_IMAGES) . '">' . tep_image_button ('button_show_all.gif', TEXT_BUTTON_SHOW_ALL) . '</a>'; ?>&nbsp;</td>
                  </tr>
                </table></td>
              </tr>
            </table></td>
<?php
  $heading = array();
  $contents = array();
  define ('DIR_WS_CATALOG_IMAGES', HTTP_CATALOG_SERVER . DIR_WS_HTTP_CATALOG . DIR_WS_IMAGES);

  switch ($action) {
    case 'new_image':
      $heading[] = array ('text' => '<b>' . TEXT_INFO_HEADING_UPDATE . '</b>');

      $contents = array ('form' => tep_draw_form ('file', FILENAME_IMAGES, tep_get_all_get_params (array ('action') ) . '&action=insert', 'post', 'enctype="multipart/form-data"') );
      $contents[] = array ('text' => TEXT_UPDATE_INTRO);

      $products_select = tep_draw_products_pull_down ('products_id');
      if (isset ($_GET['products_id']) && $_GET['products_id'] > 0) {
        $name_query = tep_db_query ("select products_name
                                     from " . TABLE_PRODUCTS_DESCRIPTION . " pd
                                     where products_id = '" . (int) $_GET['products_id'] . "'
                                       and pd.language_id = '" . (int) $languages_id . "'
                                   ");
        $product_name = tep_db_fetch_array ($name_query);
        $products_select = $product_name['products_name'] . tep_draw_hidden_field ('products_id', (int) $_GET['products_id']);
      }
      $contents[] = array ('text' => '<br>' . TEXT_INFO_IMAGE . '<br>' . tep_draw_file_field('image_filename'));
      $contents[] = array ('text' => '<br>' . TEXT_SELECT_PRODUCT . '<br>' . $products_select);
      $contents[] = array ('text' => '<br>' . TEXT_INFO_SORT_ORDER . '<br>' . tep_draw_input_field ('images_order') );
      $contents[] = array ('text' => '<br>' . TEXT_INFO_CATEGORY_PAGE . '<br>' . tep_draw_checkbox_field ('category_page', '', false) . TEXT_INFO_IS_CATEGORY_IMAGE);
      $contents[] = array ('text' => '<br>' . TEXT_INFO_PRODUCT_PAGE . '<br>' . tep_draw_checkbox_field ('product_page', '', false) . TEXT_INFO_IS_PRODUCT_IMAGE);
      $contents[] = array ('text' => '<br>' . TEXT_INFO_POPUP_PAGE . '<br>' . tep_draw_checkbox_field ('popup_page', '', false) . TEXT_INFO_IS_POPUP_IMAGE);
      $contents[] = array ('align' => 'center', 'text' => '<br>' . tep_image_submit ('button_save.gif', IMAGE_SAVE) . ' <a href="' . tep_href_link (FILENAME_IMAGES, 'page=' . $_GET['page'] . '&images_id=' . $imagesInfo->images_id) . '">' . tep_image_button ('button_cancel.gif', IMAGE_CANCEL) . '</a>');
      break;

    case 'edit':
      $heading[] = array ('text' => '<b>' . TEXT_INFO_HEADING_EDIT . '</b>');

      $contents = array ('form' => tep_draw_form ('file', FILENAME_IMAGES, tep_get_all_get_params (array ('action') ) . 'action=update', 'post', 'enctype="multipart/form-data"'));
      $contents[] = array ('text' => TEXT_INFO_EDIT_INTRO);
      
      $contents[] = array ('text' => '<br>' . TEXT_INFO_IMAGE . '<br>' . tep_image (DIR_WS_CATALOG_IMAGES . $imagesInfo->image_filename, '', '120', '120') . '<br>' . DIR_WS_CATALOG_IMAGES . '<br><b>' . $imagesInfo->image_filename . '</b>');
      $contents[] = array ('text' => '<br>' . TEXT_INFO_IMAGE . '<br>' . tep_draw_file_field ('image_filename') );
      $contents[] = array ('text' => '<br>' . TEXT_INFO_PRODUCTS_NAME . '<br><b>' . $imagesInfo->products_name . '</b>');
      $contents[] = array ('text' => '<br>' . TEXT_INFO_SORT_ORDER . '<br>' . tep_draw_input_field ('images_order', $imagesInfo->images_order) );
      $contents[] = array ('text' => '<br>' . TEXT_INFO_CATEGORY_PAGE . '<br>' . tep_draw_checkbox_field ('category_page', '', ( ($imagesInfo->category_page == 1) ? true : false)) . TEXT_INFO_IS_CATEGORY_IMAGE);
      $contents[] = array ('text' => '<br>' . TEXT_INFO_PRODUCT_PAGE . '<br>' . tep_draw_checkbox_field ('product_page', '', ( ($imagesInfo->product_page == 1) ? true : false)) . TEXT_INFO_IS_PRODUCT_IMAGE);
      $contents[] = array ('text' => '<br>' . TEXT_INFO_POPUP_PAGE . '<br>' . tep_draw_checkbox_field ('popup_page', '1', ( ($imagesInfo->popup_page == 1) ? true : false)) . TEXT_INFO_IS_POPUP_IMAGE);
      $contents[] = array ('text' => '<br>' . TEXT_INFO_LAST_MODIFIED . '<br>' . $imagesInfo->last_modified);
      $contents[] = array ('align' => 'center', 'text' => '<br>' . tep_image_submit ('button_update.gif', IMAGE_UPDATE) . ' <a href="' . tep_href_link (FILENAME_IMAGES, 'page=' . $_GET['page'] . '&images_id=' . $imagesInfo->images_id) . '">' . tep_image_button ('button_cancel.gif', IMAGE_CANCEL) . '</a>');
      break;

    case 'delete':
      $heading[] = array ('text' => '<b>' . TEXT_INFO_HEADING_DELETE_IMAGE . '</b>');

      $contents = array ('form' => tep_draw_form('file', FILENAME_IMAGES, tep_get_all_get_params (array ('action') ) . '&images_id=' . $imagesInfo->images_id . '&action=deleteconfirm', 'post'));
      $contents[] = array ('text' => TEXT_INFO_DELETE_INTRO);

      $contents[] = array ('text' => '<br>' . TEXT_INFO_IMAGE . '<br>' . tep_image (DIR_WS_CATALOG_IMAGES . $imagesInfo->image_filename, '', '120', '120') . '<br>' . DIR_WS_CATALOG_IMAGES . '<br><b>' . $imagesInfo->image_filename . '</b>');
      $contents[] = array ('text' => '<br>' . TEXT_INFO_PRODUCTS_NAME . '<br><b>' . $imagesInfo->products_name . '</b>');
      $contents[] = array ('text' => '<br>' . TEXT_INFO_SORT_ORDER . '<br><b>' . $imagesInfo->images_order . '</b>');
      $contents[] = array ('text' => '<br>' . TEXT_INFO_CATEGORY_PAGE . '<br><b>' . ( ($imagesInfo->category_page == 1) ? 'true' : 'false')  . '</b>');
      $contents[] = array ('text' => '<br>' . TEXT_INFO_PRODUCT_PAGE . '<br><b>' . ( ($imagesInfo->product_page == 1) ? 'true' : 'false')  . '</b>');
      $contents[] = array ('text' => '<br>' . TEXT_INFO_POPUP_PAGE . '<br><b>' . ( ($imagesInfo->popup_page == 1) ? 'true' : 'false')  . '</b>');
      $contents[] = array ('text' => '<br>' . TEXT_INFO_LAST_MODIFIED . '<br><b>' . $imagesInfo->last_modified);
      $contents[] = array ('align' => 'center', 'text' => '<br>' . tep_image_submit ('button_delete.gif', IMAGE_DELETE) . ' <a href="' . tep_href_link (FILENAME_IMAGES, 'page=' . $_GET['page'] . '&images_id=' . $imagesInfo->images_id) . '">' . tep_image_button ('button_cancel.gif', IMAGE_CANCEL) . '</a>');
      break;

    default:
      $heading[] = array ('text' => '<b>' . TEXT_INFO_HEADING_GENERAL . '</b>');

      $contents[] = array ('text' => '<br>' . TEXT_INFO_IMAGE . '<br>' . tep_image (DIR_WS_CATALOG_IMAGES . $imagesInfo->image_filename, '', '120', '120') . '<br>' . DIR_WS_CATALOG_IMAGES . '<br><b>' . $imagesInfo->image_filename . '</b>');
      $contents[] = array ('text' => '<br>' . TEXT_INFO_PRODUCTS_NAME . '<br><b>' . $imagesInfo->products_name . '</b>');
      $contents[] = array ('text' => '<br>' . TEXT_INFO_SORT_ORDER . '<br><b>' . $imagesInfo->images_order . '</b>');
      $contents[] = array ('text' => '<br>' . TEXT_INFO_CATEGORY_PAGE . '<br><b>' . ( ($imagesInfo->category_page == 1) ? 'true' : 'false')  . '</b>');
      $contents[] = array ('text' => '<br>' . TEXT_INFO_PRODUCT_PAGE . '<br><b>' . ( ($imagesInfo->product_page == 1) ? 'true' : 'false')  . '</b>');
      $contents[] = array ('text' => '<br>' . TEXT_INFO_POPUP_PAGE . '<br><b>' . ( ($imagesInfo->popup_page == 1) ? 'true' : 'false')  . '</b>');
      $contents[] = array ('text' => '<br>' . TEXT_INFO_LAST_MODIFIED . '<br><b>' . $imagesInfo->last_modified);

      if (isset ($imagesInfo->images_id) ) {
        $contents[] = array ('align' => 'center', 'text' => '<a href="' . tep_href_link (FILENAME_IMAGES, tep_get_all_get_params (array ('action', 'images_id')) . '&action=edit&images_id=' . $imagesInfo->images_id) . '">' . tep_image_button ('button_edit.gif', IMAGE_EDIT) . '</a> <a href="' . tep_href_link (FILENAME_IMAGES, tep_get_all_get_params (array ('action', 'images_id')) . '&images_id=' . $imagesInfo->images_id . '&action=delete') . '">' . tep_image_button ('button_delete.gif', IMAGE_DELETE) . '</a>');
      }
      break;
  } // switch

  if (tep_not_null ($heading) && tep_not_null ($contents) ) {
    echo '            <td width="25%" valign="top">' . "\n";

    $box = new box;
    echo $box->infoBox ($heading, $contents);

    echo '            </td>' . "\n";
  } // if (tep_not_null
?>
          </tr>
        </table></td>
      </tr>
    </table></td>
<!-- body_text_eof //-->
  </tr>
</table>
<!-- body_eof //-->

<!-- footer //-->
<?php require (DIR_WS_INCLUDES . 'footer.php'); ?>
<!-- footer_eof //-->
<br>
</body>
</html>
<?php require (DIR_WS_INCLUDES . 'application_bottom.php'); ?>
