##
#  $Id: database.sql v2.0 2008-12-16 kymation $
#
#  osCommerce, Open Source E-Commerce Solutions
#  http://www.oscommerce.com
#
#  Copyright (c) 2008 osCommerce
#
#  Released under the GNU General Public License
##


###################################################################################
##  If you are upgrading from More Pice 1.x, DO NOT use this SQL.                ##
##    Use the upgrade.sql instead. Or spend an extra hour sorting out the mess.  ##
###################################################################################


#
# Create the new Images table
#
CREATE TABLE IF NOT EXISTS `products_images` (
  `images_id` int(11) NOT NULL auto_increment,
  `products_id` int(11) NOT NULL,
  `image_filename` varchar(64) NOT NULL,
  `images_order` int(11) NOT NULL,
  `category_page` tinyint(1) NOT NULL default '0',
  `product_page` tinyint(1) NOT NULL default '0',
  `popup_page` tinyint(1) NOT NULL default '0',
  `last_modified` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`images_id`),
  KEY `products_id` (`products_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

#
# Insert the configuration group
#
INSERT INTO `configuration_group` (`configuration_group_id`, `configuration_group_title`, `configuration_group_description`, `sort_order`, `visible`) VALUES (6124, 'More Pics', 'Configuration Options for More Pics', 20, 1);

#
# Insert the configuration values
#
INSERT INTO `configuration` VALUES(NULL, 'Show All Images on Product Info page', 'MORE_PICS_SHOW_ALL_ON_PRODUCT_INFO', 'true', 'Show all extra images from the MorePics contrib on the Product Info page.', 6124, 2, '2008-12-05 20:52:59', '2008-12-05 20:52:59', NULL, 'tep_cfg_select_option(array(''true'', ''false''),');
INSERT INTO `configuration` VALUES(NULL, 'Show Original Image on Product Info page', 'MORE_PICS_SHOW_ORIG_ON_PRODUCT_INFO', 'true', 'Show the stock image on the Product Info page (Right side under the price).', 6124, 4, '2008-12-05 20:52:59', '2008-12-05 20:52:59', NULL, 'tep_cfg_select_option(array(''true'', ''false''),');
INSERT INTO `configuration` VALUES(NULL, 'Group Category image with sub-images', 'MORE_PICS_GROUP_WITH_CATEGORY', 'false', 'Group the Category images with the additional images.', 6124, 6, '2008-12-13 17:45:11', '2008-12-05 20:52:59', NULL, 'tep_cfg_select_option(array(''true'', ''false''),');
INSERT INTO `configuration` VALUES(NULL, 'Group Products image with sub-images', 'MORE_PICS_GROUP_WITH_PRODUCTS', 'false', 'Group the Products image with the additional images.', 6124, 8, '2008-12-13 17:45:11', '2008-12-05 20:52:59', NULL, 'tep_cfg_select_option(array(''true'', ''false''),');
INSERT INTO `configuration` VALUES(NULL, 'Group Popup image with sub-images', 'MORE_PICS_GROUP_WITH_POPUP', 'true', 'Group the Popup image with the additional images.', 6124, 10, '2008-12-13 17:45:11', '2008-12-05 20:52:59', NULL, 'tep_cfg_select_option(array(''true'', ''false''),');
INSERT INTO `configuration` VALUES(NULL, 'Use SMALL_IMAGE Restrictions', 'MORE_PICS_RESTRICT_IMAGE_SIZE', 'false', 'Restrict all product images to SMALL_IMAGE_WIDTH and SMALL_IMAGE_HEIGHT values.', 6124, 12, '2008-12-13 17:43:48', '2008-12-05 20:52:59', NULL, 'tep_cfg_select_option(array(''true'', ''false''),');
INSERT INTO `configuration` VALUES(NULL, 'Restrict main image size', 'MORE_PICS_RESTRICT_PARENT', 'true', 'Restrict the main image on the Product Info page to SMALL_IMAGE_WIDTH and SMALL_IMAGE_HEIGHT values. This setting overrides "Use SMALL_IMAGE Restrictions" setting.', 6124, 14, '2008-12-13 17:44:35', '2008-12-05 20:52:59', NULL, 'tep_cfg_select_option(array(''true'', ''false''),');
INSERT INTO `configuration` VALUES(NULL, 'Table Alignment', 'MORE_PICS_TABLE_ALIGNMENT', 'center', 'Align Pics table to the left or to the right of the products description.', 6124, 16, '2008-12-10 21:14:36', '2008-12-05 20:52:59', NULL, 'tep_cfg_select_option(array(''left'', ''right'', ''center''),');
INSERT INTO `configuration` VALUES(NULL, 'Table Location', 'MORE_PICS_TABLE_LOCATION', 'bottom', 'Align Pics table to the sides, above or below description.', 6124, 18, '2008-12-13 17:44:41', '2008-12-05 20:52:59', NULL, 'tep_cfg_select_option(array(''sides'', ''above'', ''below'', ''bottom''),');
INSERT INTO `configuration` VALUES(NULL, 'Number of Columns', 'MORE_PICS_NUMBER_OF_COLS', '3', 'Number of columns to display.', 6124, 20, '2008-12-05 20:52:59', '2008-12-05 20:52:59', NULL, NULL);
INSERT INTO `configuration` VALUES(NULL, 'Number of Rows', 'MORE_PICS_NUMBER_OF_ROWS', '2', 'Number of rows to display.', 6124, 22, '2008-12-05 20:52:59', '2008-12-05 20:52:59', NULL, NULL);
INSERT INTO `configuration` VALUES(NULL, 'Use CSS Format', 'MORE_PICS_USE_CSS_FORMAT', 'true', 'Show the images in the CSS box with thumbnails (true) or show the traditional full images (false)', 6124, 24, '2008-12-13 17:38:21', '2008-12-07 23:54:32', NULL, 'tep_cfg_select_option(array(''true'', ''false''),');
INSERT INTO `configuration` VALUES(NULL, 'Use CSS Images Instead of Popup', 'MORE_PICS_LINK_CSS_IMAGES', 'true', 'Parent image link goes to CSS image box instead of popup. Use when additional images are below the fold.', 6124, 26, '2008-12-08 00:42:10', '2008-12-07 23:54:32', NULL, 'tep_cfg_select_option(array(''true'', ''false''),');
INSERT INTO `configuration` VALUES(NULL, 'Wrap Images in Popup', 'MORE_PICS_WRAP_POPUP_IMAGES', 'true', 'Wrap the image links, so all images have a Next and Previous image', 6124, 28, '2008-12-08 00:42:10', '2008-12-07 23:54:32', NULL, 'tep_cfg_select_option(array(''true'', ''false''),');
INSERT INTO `configuration` VALUES(NULL, 'Mouse Operation', 'MORE_PICS_MOUSE_OPERATION', 'onMouseOver', 'Show the image on mouseover, or only when clicked on (onMouseDown.)', 6124, 30, '2008-12-07 21:38:10', '2008-12-07 21:38:10', NULL, 'tep_cfg_select_option(array(''onMouseOver'', ''onMouseDown''),');
INSERT INTO `configuration` VALUES(NULL, 'Box frame style', 'MORE_PICS_BOX_FRAME_STYLE', 'Plain', 'Show the box like all other osC boxes, with a simple outline, or with no box', 6124, 32, '2008-12-11 20:42:20', '2008-12-07 22:00:35', NULL, 'tep_cfg_select_option(array(''Stock'', ''Simple'',''Plain''), ');
INSERT INTO `configuration` VALUES(NULL, 'Small Image Location', 'MORE_PICS_IMAGE_LOCATION', 'Bottom', 'Show the small images on the left, right, top, or bottom of the box', 6124, 34, '2008-12-18 17:18:05', '2008-12-07 23:54:32', NULL, 'tep_cfg_select_option(array(''Left'', ''Right'', ''Top'', ''Bottom''),');
INSERT INTO `configuration` VALUES(NULL, 'Small Image Width', 'MORE_PICS_IMAGE_WIDTH', '40', 'Set the width of small images on the sides of the image box.', 6124, 36, '2008-12-16 14:30:20', '2008-12-07 22:01:49', NULL, NULL);
INSERT INTO `configuration` VALUES(NULL, 'Small Image Height', 'MORE_PICS_IMAGE_HEIGHT', '40', 'Set the height of small images on the top or bottom of the image box.', 6124, 38, '2008-12-16 14:30:27', '2008-12-07 22:01:49', NULL, NULL);
