<?php
//The idea and written by pektsekye@gmail.com on Friday May 1  2009
// Fixed file permissions issue by miro.igov@gmail.com
//version 2.7

class AutoInstaller
{	

	public $xml_filename = "install.xml";	
	public $unxml_filename = "uninstall.xml";	
	public $backup_dir = "backup";
	public $files_dir = "files";	
	public $catalog_dir = "../";
	public $check_dir_if_exists = "admin";
	public $path_to_config = "../includes/configure.php";
	
    public $osfile,$osfile_content,$osfopen,$message,$dom,$dom_uninstall,$xml,$unxml,$stepsaved,$step,$stepnumber,$insertid;
	
	
	
	public function AutoInstaller() {
		
		if (!is_writable($this->unxml_filename)) {
			$this->message = '<span style="background-color:#ff8888">"ymm_autoinstaller/'.$this->unxml_filename . '" is not writeable! Please make it writeable before to continue.';
			
			$this->errortype = 0;
		}
		
		if (!is_writable($this->backup_dir)) {
			$this->message = '<span style="background-color:#ff8888">"ymm_autoinstaller/'.$this->backup_dir . '" dir is not writeable! Please make it writeable before to continue.</span>';
			
			$this->errortype = 0;
		}
			
		if (!file_exists($this->catalog_dir  . $this->check_dir_if_exists)){
					
					$this->message = "Cannot find directory '{$this->check_dir_if_exists}' . Looks like you have uploaded the autoinstaller to the wrong directory. Try to move the autoinstaller directory to your store root so it to be on the same level with the 'admin' directory.";				
					$this->errortype = 0;
		}			
				
				
		if (@include($this->path_to_config)){
		
			if (@mysql_connect (DB_SERVER, DB_SERVER_USERNAME, DB_SERVER_PASSWORD)){
				
				if (!@mysql_select_db (DB_DATABASE)){
					
					$this->message = "Cannot select the database '".DB_DATABASE."' .<br>Mysql error: ".mysql_error()."<br> Try to set the correct database name in the oscommerce configuration file '{$this->path_to_config}' .";				
					$this->errortype = 0;		
				}
				
			} else {
				
				$this->message = "Cannot connect to the database.<br>Mysql error: ".mysql_error()."<br> Try to set the correct database login and password in the oscommerce configuration file '{$this->path_to_config}' .";			
				$this->errortype = 0;		
			
			}
			
		} else {	
		
			$this->message = "Cannot include the oscommerce configuration file '{$this->path_to_config}'. Check if the file exists and it is not empty. Try to change the configuration file permissions.";
			$this->errortype = 0;		
			
		}	

		
		$this->dom = new DomDocument('1.0');
		$this->dom->preserveWhiteSpace = FALSE;
		$this->dom->load($this->unxml_filename);
		$uninstall = $this->dom->getElementsByTagName('uninstall');
		$this->dom_uninstall = $uninstall->item(0);
		
		$this->xml = simplexml_load_file($this->xml_filename, 'SimpleXMLElement', LIBXML_NOCDATA);
		$this->unxml = simplexml_load_file($this->unxml_filename, 'SimpleXMLElement', LIBXML_NOCDATA);

	}	
	
    public function open_file() {

        $this->osfile = $this->step->filename;
		$filepath = $this->catalog_dir.$this->step->filename;
		
		if (file_exists($filepath) && is_writable($filepath)){
			
			$this->backup_file();
			
			if (!isset($this->errortype)){	
			
				$this->osfile_content = @file_get_contents($filepath);
				
				if ($this->osfile_content === FALSE){
					
					$this->message = "Cannot read file '{$this->step->filename}' . Try to change file permissions and click the \"Retry\" button.";
					$this->errortype = 2;
					
				} else {
					
					if (!$this->osfopen = @fopen($filepath,"w")){	
					
						$this->message = "Cannot open file '{$this->step->filename}' for writing. Try to change file permissions and click the \"Retry\" button.";
						$this->errortype = 2;
						
					}
					
				}

			}
		
		} else {
			
			$this->message = "Cannot open file '{$this->step->filename}' for writing. Check if the file exists or try to change file permissions and click the \"Retry\" button.";
			$this->errortype = 2;			
			
		}	
		
    }
	
	
    public function open_file_if_exists() {
		
		$filepath = $this->catalog_dir.$this->step->filename;
		
		if (file_exists($filepath))
			$this->open_file();
    }	
	
	
	public function save_file() {

		if (isset($this->osfopen) && $this->osfopen  !== FALSE){
			
			fwrite($this->osfopen,$this->osfile_content);
			fclose($this->osfopen);
			unset($this->osfopen);
			
		 }
		 
    }
	
	
	public function open_or_create_file() {

        $this->osfile = $this->step->filename;
		$filepath = $this->catalog_dir . $this->step->filename;		
		$this->osfile_content = "";
		$exists = file_exists($filepath);
		$writable = is_writable($filepath);
		
		if ($exists && $writable){
			
			$this->backup_file();
			$this->osfile_content = @file_get_contents($filepath);
			
		}
		
		if (!$exists || ($exists && $writable)){
			
			if (!isset($this->errortype)){
				
				if ($this->osfopen = @fopen($filepath,"w")){
					
					if (!$exists){
						
						$dom_step = $this->dom_uninstall->appendChild($this->dom->createElement('step'));
						$action = $dom_step->appendChild($this->dom->createElement('action'));
						$action->appendChild($this->dom->createTextNode('remove_file'));
						$filename = $dom_step->appendChild($this->dom->createElement('filename'));
						$filename->appendChild($this->dom->createTextNode($this->step->filename));
						$this->stepsaved = TRUE;
					}
					
				} else {	
				
					$this->message = "Cannot open or create file '{$this->step->filename}' . Try to change file permissions or create an empty file (if not exists) and click the \"Retry\" button.";
					$this->errortype = 2;
					
				}
				
			}
		
		} else {
			
			$this->message = "Cannot open file '{$this->step->filename}' for writing. Try to change file permissions and click the \"Retry\" button.";
			$this->errortype = 2;		
					
		}

    }
	
	
	public function backup_file() {
		
		if (!(isset($this->unxml->result->filetoopen) && $this->unxml->result->filetoopen == $this->osfile && $this->unxml->result->errortype > 2)){
			
			$filepath = $this->catalog_dir.$this->osfile;				
			$backupfile = preg_replace('/\W/','_',$this->osfile);
				
			if (!file_exists($this->backup_dir.'/'.$backupfile)){
					
				if (@copy($filepath,$this->backup_dir.'/'.$backupfile)){
			
						$dom_step = $this->dom_uninstall->appendChild($this->dom->createElement('step'));
						$action = $dom_step->appendChild($this->dom->createElement('action'));
						$action->appendChild($this->dom->createTextNode('restore_backup'));
						$filename = $dom_step->appendChild($this->dom->createElement('filename'));
						$filename->appendChild($this->dom->createTextNode($this->osfile));
						$backupname = $dom_step->appendChild($this->dom->createElement('backupname'));
						$backupname->appendChild($this->dom->createTextNode($backupfile));
						$this->stepsaved = TRUE;
						
				} else {
						
						$this->message = "Cannot create backup file '{$backupfile}' in the 'autoinstaller/{$this->backup_dir}' directory. Check if the '{$this->osfile}' exists and click the \"Retry\" button.";
						$this->errortype = 1;
						
				}
					
			} else {
					
						$this->message = "The script cannot overwrite the backup files in the 'autoinstaller/{$this->backup_dir}' directory. Copy all the backup files to your computer before deleting them from server.";
						$this->errortype = 1;				
			}
				
		}
		
    }
	
	
	public function restore_backup() {

		$filepath = $this->catalog_dir . $this->step->filename;	
		$backuppath = $this->backup_dir .'/'. $this->step->backupname;
		
        copy($backuppath,$filepath);
	
    }
	
	
	public function remove_file() {

		$filepath = $this->catalog_dir . $this->step->filename;
		
        unlink($filepath);
				
    }	


	public function replace($limit = 1) {

		$content = preg_replace($this->step->pattern,$this->step->replacement,$this->osfile_content,$limit,$count);

		if ($count > 0){
			
			$this->osfile_content = $content;
			
		} else {
			
			$this->message = "Cannot replace: <pre style=\"border: 1px solid #aaaaaa; padding: 5px ;font-size: 8px;\">".htmlspecialchars($this->step->manual_from)."</pre> <br><br> with: <pre style=\"border: 1px solid #aaaaaa; padding: 5px ;font-size: 8px;\">".htmlspecialchars($this->step->manual_to)."</pre> <br> in the '{$this->osfile}' file.<br><br>  Clik the \"Edit Manually\" button to edit the file manually";
			$this->errortype = 3;	
			
		}

    }
	
	
	public function add_to_file() {

			$this->osfile_content .= "\n" . $this->step->code . "\n";
	
    }	
	  	
		
	public function add_to_php_file() {

		$pos = strrpos ($this->osfile_content  , '?>');
		
		if ($pos === FALSE) {
			
			$this->message = "Cannot add code: <pre style=\"border: 1px solid #aaaaaa; padding: 5px ;font-size: 8px;\">".htmlspecialchars($this->step->code)."</pre> <br> to the '{$this->osfile}' file.<br><br> Clik the \"Edit Manually\" button to edit the file manually</a>";
			$this->errortype = 3;
			
		} else {	
		
			$chunk = substr($this->osfile_content,0,$pos);
			$chunk2 = substr($this->osfile_content,$pos);
			$this->osfile_content = $chunk . "\n" . $this->step->code . "\n" . $chunk2;
			
		}

    }
	
	
	public function add_to_htaccess_file() {
		global $HTTP_SERVER_VARS;

		    $location = $HTTP_SERVER_VARS['REQUEST_URI'];
			$dir = substr($location, 0, strrpos($location, '/'));
			$catalog_dir = substr($dir, 0, strrpos($dir, '/') + 1);
			
		    $code = str_replace('/directory/',$catalog_dir,$this->step->code);
			$this->osfile_content .= "\n" . $code . "\n";
	
    }	
	  
	  
	public function retry() {
		
		if (isset($this->unxml->result->filetoopen) && $this->unxml->result->errortype > 2){

			$this->step->filename = $this->unxml->result->filetoopen ;
			$this->open_file() ;

		}
		
		$this->install($this->unxml->result->stepnumber);

    }
	
	
	public function skip() {

		if (isset($this->unxml->result->filetoopen)){
			
			$this->step->filename = $this->unxml->result->filetoopen ;
			$this->open_file() ;
			
		}
		
		$this->install($this->unxml->result->stepnumber + 1);

    }
	
	
	public function save_and_continue($content) {
	
		$filepath = $this->catalog_dir . $this->unxml->result->filetoopen;			
		$fopen = fopen($filepath,"w");
		fwrite($fopen,$content);
		fclose($fopen);			
	
    }
	
	
	public function copy_file() {

		$sourcepath = $this->files_dir . '/' . $this->step->filename;	
		$destpath = $this->catalog_dir . $this->step->destname;		
		
		if (@copy($sourcepath,$destpath)){
			
			$dom_step = $this->dom_uninstall->appendChild($this->dom->createElement('step'));
			$action = $dom_step->appendChild($this->dom->createElement('action'));
			$action->appendChild($this->dom->createTextNode('remove_file'));
			$filename = $dom_step->appendChild($this->dom->createElement('filename'));
			$filename->appendChild($this->dom->createTextNode($this->step->destname));
			$this->stepsaved = TRUE;			
			
		} else {
			
			$this->message = "Cannot copy file '{$this->step->filename}' to the destination '{$this->step->destname}'. Try to change the destination directory permissions and click the \"Retry\" button.";
			$this->errortype = 4;
			
		}
		
    }	
	
	
	public function run_query() {

		if (@mysql_query($this->step->query)){
			
			$dom_step = $this->dom_uninstall->appendChild($this->dom->createElement('step'));
			$action = $dom_step->appendChild($this->dom->createElement('action'));
			$action->appendChild($this->dom->createTextNode('un_run_query'));
			$query = $dom_step->appendChild($this->dom->createElement('query'));
			$query->appendChild($this->dom->createCDATASection($this->step->unquery));	
			$this->stepsaved = TRUE;			
			
		} else {
			
			$this->message = "Cannot run MySql query:<br>{$this->step->query} ; <br>Mysql error:".mysql_error()."<br>Use phpMyadmin and run this query. Then click \"Skip\" button to continue installation.";
			$this->errortype = 4;	
			
		}	

    }
	
	public function un_run_query() {

		mysql_query($this->step->query) or die(mysql_error());

    }
	
	
	public function save_result() {

		if (isset($this->unxml->result)){
			
			$result = $this->dom_uninstall->getElementsByTagName('result')->item(0);
			
			if (!isset($this->errortype)){
				
				$this->dom_uninstall->removeChild($result);
				$result = $this->dom_uninstall->appendChild($this->dom->createElement('result'));
				
			}
			
		} else {
			
			$result = $this->dom_uninstall->appendChild($this->dom->createElement('result'));
			
		}
		
		
		if(isset($this->osfopen) && isset($this->errortype) && $this->step->action != "open_file" && $this->step->action != "open_file_if_exists" && $this->step->action != "open_or_create_file"){
			
			$this->save_file();
			
			if (isset($this->unxml->result->filetoopen)){
				
				$filetoopen = $result->getElementsByTagName('filetoopen')->item(0);
				$filetoopen->nodeValue = $this->osfile;
				
			} else {		
			
				$filetoopen = $result->appendChild($this->dom->createElement('filetoopen'));
				$filetoopen->appendChild($this->dom->createTextNode($this->osfile));
				
			}
			
		}

		if (isset($this->errortype)){
			
			if (isset($this->unxml->result)){
				
				$stepnumber = $result->getElementsByTagName('stepnumber')->item(0);
				$stepnumber->nodeValue = $this->stepnumber;
				$errortype = $result->getElementsByTagName('errortype')->item(0);
				$errortype->nodeValue = $this->errortype;
				
			} else {			
			
				$stepnumber = $result->appendChild($this->dom->createElement('stepnumber'));
				$stepnumber->appendChild($this->dom->createTextNode($this->stepnumber));
				$errortype = $result->appendChild($this->dom->createElement('errortype'));
				$errortype->appendChild($this->dom->createTextNode($this->errortype));
			}
			
		} else {	
		
			$this->message = "The contribution has been successfully installed! Check your site now. If everything works as it must don't forget to remove the autoinstaller directory. If something doesn't work click the \"Uninstall\" button.";

		}	
		
		
		if (isset($this->unxml->result->message)){
			
			if ($message = $result->getElementsByTagName('message')->item(0))
				$result->removeChild($message);

			$message = $result->appendChild($this->dom->createElement('message'));
			$message->appendChild($this->dom->createCDATASection($this->message));
			
		} else {		
		
			$message = $result->appendChild($this->dom->createElement('message'));
			$message->appendChild($this->dom->createCDATASection($this->message));
		}
		
		$this->dom->formatOutput = TRUE; 
		$this->dom->save($this->unxml_filename); 
	
    }
	
	
	public function reset_result(){

		$fopen = fopen($this->unxml_filename,"w");
		$content = '<?xml version="1.0"?>
						   <uninstall/>';
		fwrite($fopen,$content);
		fclose($fopen);
		unset($this->unxml->result->message);
		unset($this->message);
		
	}	
	
	
	public function install($start = 0) {

			$this->stepnumber = 0;

			foreach ($this->xml->steps->step as $step) {

				    if ($this->stepnumber >= $start){
						
							$this->step = $step;							
							
							switch ((string) $step->action){
								case "open_file" : $this->open_file() ; break;
								case "open_file_if_exists" : $this->open_file_if_exists() ; break;
								case "open_or_create_file"  : $this->open_or_create_file() ; break;									
								case "replace"  : $this->replace() ; break;		
								case "replace_all"  : $this->replace(-1) ; break;									
								case "add_to_file"  : $this->add_to_file() ; break;								
								case "add_to_php_file"  : $this->add_to_php_file() ; break;
								case "add_to_htaccess_file"  : $this->add_to_htaccess_file() ; break;								
								case "save_file"  : $this->save_file() ; break;
								case "copy_file"  : $this->copy_file() ; break;
								case "run_query"  : $this->run_query() ; break;																	
							}	
							
							if (isset($this->errortype))
								break;
					}
					
					$this->stepnumber++;
			  }
			
			   $this->save_result();
      }
	  
	  
	public function uninstall() {

			  foreach ($this->unxml->step as $step) {
				  
						$this->step = $step;		
						
						switch ((string) $step->action){
							case "restore_backup" : $this->restore_backup() ; break;
							case "remove_file" : $this->remove_file() ; break;
							case "un_run_query" : $this->un_run_query() ; break;								
						}	

			  }
			
			   $this->reset_result();
	}
	
	
}

?>